Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Problems with 4.1 RC on mac os x
Problems with 4.1 RC on mac os x [message #675821] Wed, 01 June 2011 15:12 Go to next message
Eclipse User
Originally posted by:

Hi,

I tried to create a demmo e4 application via the e4 application wizard
with the 4.1 RC3 and RC2 on mac os x, but when the compiler doesn't find
any of the SWT controls and when I take a look at the plugins folder, I
don't see a mac os x swt fragment. Is this a known issue or am I missing
something?

Regards,
Matthias
Re: Problems with 4.1 RC on mac os x [message #676007 is a reply to message #675821] Thu, 02 June 2011 11:14 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5434
Registered: July 2009
Senior Member
Hi,

I just tried that with RC3 on my OS-X 10.6.7 and everything is fine.

Tom

Am 01.06.11 17:12, schrieb Matthias Köster:
> Hi,
>
> I tried to create a demmo e4 application via the e4 application wizard
> with the 4.1 RC3 and RC2 on mac os x, but when the compiler doesn't find
> any of the SWT controls and when I take a look at the plugins folder, I
> don't see a mac os x swt fragment. Is this a known issue or am I missing
> something?
>
> Regards,
> Matthias
Re: Problems with 4.1 RC on mac os x [message #676219 is a reply to message #676007] Fri, 03 June 2011 08:21 Go to previous messageGo to next message
Eclipse User
Originally posted by:

Hi Tom,

I also have Mac OS X 1.6.7 running on a i7 processor. Today I downloaded
the RC3 eclipse-SDK-S-4.1RC3-macosx-cocoa-x86_64.tar.gz agaian and
followed the instructions from Lars Vogels e4 tutorial
http://www.vogella.de/articles/EclipseE4/article.html. When I start my
application I get the following output on my console:

!SESSION 2011-06-03 10:09:37.908
-----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Apple Inc.
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=de_DE
Framework arguments: -product n4.test.app.product
Command-line arguments: -product n4.test.app.product -data
/Users/matthias/Documents/workspace-e4-new/../runtime-n4.test.app.product -dev
file:/Users/matthias/Documents/workspace-e4-new/.metadata/.plugins/org.eclipse.pde.core/n4.test.app.product/dev.properties
-os macosx -ws cocoa -arch x86_64 -consoleLog

!ENTRY org.eclipse.equinox.app 0 0 2011-06-03 10:09:39.152
!MESSAGE Product n4.test.app.product could not be found.

!ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.186
!MESSAGE One or more bundles are not resolved because the following root
constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.186
!MESSAGE Bundle
initial@reference:file:plugins/org.apache.batik.css_1.6.0.v201011041432.jar/
was not resolved.
!SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.186
!MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).

!ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.195
!MESSAGE The following is a complete list of bundles which are not
resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.195
!MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20110517-2030 [7] was
not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2011-06-03 10:09:39.196
!MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.196
!MESSAGE Bundle
org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.v20110527-2100 [14] was
not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
10:09:39.196
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
10:09:39.197
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
10:09:39.197
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.197
!MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.v20110407-2030
[22] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.197
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.198
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.198
!MESSAGE Bundle n4.test.app_1.0.0.qualifier [30] was not resolved.
!SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.198
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
!SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.198
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.199
!MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.1.v20110517-2030 [35] was
not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2011-06-03 10:09:39.199
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.199
!MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [42] was not
resolved.
!SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.200
!MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.200
!MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.1.v20110520-1530
[45] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.200
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
!MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.

!ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.223
!MESSAGE One or more bundles are not resolved because the following root
constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.223
!MESSAGE Bundle
initial@reference:file:plugins/org.apache.batik.css_1.6.0.v201011041432.jar/
was not resolved.
!SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.224
!MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).

!ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.235
!MESSAGE The following is a complete list of bundles which are not
resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.235
!MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20110517-2030 [7] was
not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2011-06-03 10:09:39.236
!MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.236
!MESSAGE Bundle
org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.v20110527-2100 [14] was
not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
10:09:39.236
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
10:09:39.236
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
10:09:39.237
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.237
!MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.v20110407-2030
[22] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.237
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.237
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.238
!MESSAGE Bundle n4.test.app_1.0.0.qualifier [30] was not resolved.
!SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.238
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
!SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.238
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.239
!MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.1.v20110517-2030 [35] was
not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2011-06-03 10:09:39.239
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.239
!MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [42] was not
resolved.
!SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.239
!MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.240
!MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.1.v20110520-1530
[45] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.241
!MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.

!ENTRY org.eclipse.osgi 4 0 2011-06-03 10:09:39.241
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at
org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
at
org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
at org.eclipse.equinox.launcher.Main.main(Main.java:1386)
An error has occurred. See the log file
/Users/matthias/Documents/workspace-e4-new/.metadata/.plugins/org.eclipse.pde.core/n4.test.app.product/1307088578294.log.

And if I take a look at my plugins folder, it indeed is missing the
org.apache.batik.css.engine_1.6.0 plugin. Do you know from where this
plugin should come from?

Matthias

Am 02.06.11 13:14, schrieb Tom Schindl:
> Hi,
>
> I just tried that with RC3 on my OS-X 10.6.7 and everything is fine.
>
> Tom
>
> Am 01.06.11 17:12, schrieb Matthias Köster:
>> Hi,
>>
>> I tried to create a demmo e4 application via the e4 application wizard
>> with the 4.1 RC3 and RC2 on mac os x, but when the compiler doesn't find
>> any of the SWT controls and when I take a look at the plugins folder, I
>> don't see a mac os x swt fragment. Is this a known issue or am I missing
>> something?
>>
>> Regards,
>> Matthias
>
Re: Problems with 4.1 RC on mac os x [message #676220 is a reply to message #676219] Fri, 03 June 2011 08:45 Go to previous messageGo to next message
Eclipse User
Originally posted by:

Hi Tom,

When I change the launch configuration manually to launch "with all
workspace and target enabled plugins", everything works. But pressing
the "launch an Eclipse application" in the product editor produces the
error shown in my last email. Is this an unknown bug?

Matthias

Am 03.06.11 10:21, schrieb Matthias Köster:
> Hi Tom,
>
> I also have Mac OS X 1.6.7 running on a i7 processor. Today I downloaded
> the RC3 eclipse-SDK-S-4.1RC3-macosx-cocoa-x86_64.tar.gz agaian and
> followed the instructions from Lars Vogels e4 tutorial
> http://www.vogella.de/articles/EclipseE4/article.html. When I start my
> application I get the following output on my console:
>
> !SESSION 2011-06-03 10:09:37.908
> -----------------------------------------------
> eclipse.buildId=unknown
> java.version=1.6.0_24
> java.vendor=Apple Inc.
> BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=de_DE
> Framework arguments: -product n4.test.app.product
> Command-line arguments: -product n4.test.app.product -data
> /Users/matthias/Documents/workspace-e4-new/../runtime-n4.test.app.product -dev
> file:/Users/matthias/Documents/workspace-e4-new/.metadata/.plugins/org.eclipse.pde.core/n4.test.app.product/dev.properties
> -os macosx -ws cocoa -arch x86_64 -consoleLog
>
> !ENTRY org.eclipse.equinox.app 0 0 2011-06-03 10:09:39.152
> !MESSAGE Product n4.test.app.product could not be found.
>
> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.186
> !MESSAGE One or more bundles are not resolved because the following root
> constraints are not resolved:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.186
> !MESSAGE Bundle
> initial@reference:file:plugins/org.apache.batik.css_1.6.0.v201011041432.jar/
> was not resolved.
> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.186
> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>
> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.195
> !MESSAGE The following is a complete list of bundles which are not
> resolved, see the prior log entry for the root cause if it exists:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.195
> !MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20110517-2030 [7] was
> not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2011-06-03 10:09:39.196
> !MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.196
> !MESSAGE Bundle
> org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.v20110527-2100 [14] was
> not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
> 10:09:39.196
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
> 10:09:39.197
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
> 10:09:39.197
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.197
> !MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.v20110407-2030
> [22] was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.197
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.198
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.198
> !MESSAGE Bundle n4.test.app_1.0.0.qualifier [30] was not resolved.
> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.198
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.198
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.199
> !MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.1.v20110517-2030 [35] was
> not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2011-06-03 10:09:39.199
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.199
> !MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [42] was not
> resolved.
> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.200
> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.200
> !MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.1.v20110520-1530
> [45] was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.200
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
> !MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.
>
> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.223
> !MESSAGE One or more bundles are not resolved because the following root
> constraints are not resolved:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.223
> !MESSAGE Bundle
> initial@reference:file:plugins/org.apache.batik.css_1.6.0.v201011041432.jar/
> was not resolved.
> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.224
> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>
> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.235
> !MESSAGE The following is a complete list of bundles which are not
> resolved, see the prior log entry for the root cause if it exists:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.235
> !MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20110517-2030 [7] was
> not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2011-06-03 10:09:39.236
> !MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.236
> !MESSAGE Bundle
> org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.v20110527-2100 [14] was
> not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
> 10:09:39.236
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
> 10:09:39.236
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
> 10:09:39.237
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.237
> !MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.v20110407-2030
> [22] was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.237
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.237
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.238
> !MESSAGE Bundle n4.test.app_1.0.0.qualifier [30] was not resolved.
> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.238
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.238
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.239
> !MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.1.v20110517-2030 [35] was
> not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2011-06-03 10:09:39.239
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.239
> !MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [42] was not
> resolved.
> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.239
> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.240
> !MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.1.v20110520-1530
> [45] was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.241
> !MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.
>
> !ENTRY org.eclipse.osgi 4 0 2011-06-03 10:09:39.241
> !MESSAGE Application error
> !STACK 1
> java.lang.RuntimeException: No application id has been found.
> at
> org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
>
> at
> org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
>
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
>
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
>
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
>
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
>
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
>
> at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
>
> at java.lang.reflect.Method.invoke(Method.java:597)
> at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
> at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
> at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
> at org.eclipse.equinox.launcher.Main.main(Main.java:1386)
> An error has occurred. See the log file
> /Users/matthias/Documents/workspace-e4-new/.metadata/.plugins/org.eclipse.pde.core/n4.test.app.product/1307088578294.log.
>
>
> And if I take a look at my plugins folder, it indeed is missing the
> org.apache.batik.css.engine_1.6.0 plugin. Do you know from where this
> plugin should come from?
>
> Matthias
>
> Am 02.06.11 13:14, schrieb Tom Schindl:
>> Hi,
>>
>> I just tried that with RC3 on my OS-X 10.6.7 and everything is fine.
>>
>> Tom
>>
>> Am 01.06.11 17:12, schrieb Matthias Köster:
>>> Hi,
>>>
>>> I tried to create a demmo e4 application via the e4 application wizard
>>> with the 4.1 RC3 and RC2 on mac os x, but when the compiler doesn't find
>>> any of the SWT controls and when I take a look at the plugins folder, I
>>> don't see a mac os x swt fragment. Is this a known issue or am I missing
>>> something?
>>>
>>> Regards,
>>> Matthias
>>
>
Re: Problems with 4.1 RC on mac os x [message #676223 is a reply to message #676219] Fri, 03 June 2011 09:10 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5434
Registered: July 2009
Senior Member
It looks like the batik version is you problem do you have 2 of the
installed?

I've seen this before but don't know where the 2nd batik version is
coming from. What did you installed after having downloaded RC3?

Tom

Am 03.06.11 10:21, schrieb Matthias Köster:
> Hi Tom,
>
> I also have Mac OS X 1.6.7 running on a i7 processor. Today I downloaded
> the RC3 eclipse-SDK-S-4.1RC3-macosx-cocoa-x86_64.tar.gz agaian and
> followed the instructions from Lars Vogels e4 tutorial
> http://www.vogella.de/articles/EclipseE4/article.html. When I start my
> application I get the following output on my console:
>
> !SESSION 2011-06-03 10:09:37.908
> -----------------------------------------------
> eclipse.buildId=unknown
> java.version=1.6.0_24
> java.vendor=Apple Inc.
> BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=de_DE
> Framework arguments: -product n4.test.app.product
> Command-line arguments: -product n4.test.app.product -data
> /Users/matthias/Documents/workspace-e4-new/../runtime-n4.test.app.product -dev
> file:/Users/matthias/Documents/workspace-e4-new/.metadata/.plugins/org.eclipse.pde.core/n4.test.app.product/dev.properties
> -os macosx -ws cocoa -arch x86_64 -consoleLog
>
> !ENTRY org.eclipse.equinox.app 0 0 2011-06-03 10:09:39.152
> !MESSAGE Product n4.test.app.product could not be found.
>
> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.186
> !MESSAGE One or more bundles are not resolved because the following root
> constraints are not resolved:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.186
> !MESSAGE Bundle
> initial@reference:file:plugins/org.apache.batik.css_1.6.0.v201011041432.jar/
> was not resolved.
> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.186
> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>
> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.195
> !MESSAGE The following is a complete list of bundles which are not
> resolved, see the prior log entry for the root cause if it exists:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.195
> !MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20110517-2030 [7] was
> not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2011-06-03 10:09:39.196
> !MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.196
> !MESSAGE Bundle
> org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.v20110527-2100 [14] was
> not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
> 10:09:39.196
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
> 10:09:39.197
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
> 10:09:39.197
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.197
> !MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.v20110407-2030
> [22] was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.197
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.198
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.198
> !MESSAGE Bundle n4.test.app_1.0.0.qualifier [30] was not resolved.
> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.198
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.198
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.199
> !MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.1.v20110517-2030 [35] was
> not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2011-06-03 10:09:39.199
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.199
> !MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [42] was not
> resolved.
> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.200
> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.200
> !MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.1.v20110520-1530
> [45] was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.200
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
> !MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.
>
> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.223
> !MESSAGE One or more bundles are not resolved because the following root
> constraints are not resolved:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.223
> !MESSAGE Bundle
> initial@reference:file:plugins/org.apache.batik.css_1.6.0.v201011041432.jar/
> was not resolved.
> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.224
> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>
> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.235
> !MESSAGE The following is a complete list of bundles which are not
> resolved, see the prior log entry for the root cause if it exists:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.235
> !MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20110517-2030 [7] was
> not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2011-06-03 10:09:39.236
> !MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.236
> !MESSAGE Bundle
> org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.v20110527-2100 [14] was
> not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
> 10:09:39.236
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
> 10:09:39.236
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
> 10:09:39.237
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.237
> !MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.v20110407-2030
> [22] was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.237
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.237
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.238
> !MESSAGE Bundle n4.test.app_1.0.0.qualifier [30] was not resolved.
> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.238
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.238
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.239
> !MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.1.v20110517-2030 [35] was
> not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2011-06-03 10:09:39.239
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.239
> !MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [42] was not
> resolved.
> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.239
> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.240
> !MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.1.v20110520-1530
> [45] was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.241
> !MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.
>
> !ENTRY org.eclipse.osgi 4 0 2011-06-03 10:09:39.241
> !MESSAGE Application error
> !STACK 1
> java.lang.RuntimeException: No application id has been found.
> at
> org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
>
> at
> org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
>
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
>
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
>
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
>
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
>
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
>
> at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
>
> at java.lang.reflect.Method.invoke(Method.java:597)
> at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
> at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
> at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
> at org.eclipse.equinox.launcher.Main.main(Main.java:1386)
> An error has occurred. See the log file
> /Users/matthias/Documents/workspace-e4-new/.metadata/.plugins/org.eclipse.pde.core/n4.test.app.product/1307088578294.log.
>
>
> And if I take a look at my plugins folder, it indeed is missing the
> org.apache.batik.css.engine_1.6.0 plugin. Do you know from where this
> plugin should come from?
>
> Matthias
>
> Am 02.06.11 13:14, schrieb Tom Schindl:
>> Hi,
>>
>> I just tried that with RC3 on my OS-X 10.6.7 and everything is fine.
>>
>> Tom
>>
>> Am 01.06.11 17:12, schrieb Matthias Köster:
>>> Hi,
>>>
>>> I tried to create a demmo e4 application via the e4 application wizard
>>> with the 4.1 RC3 and RC2 on mac os x, but when the compiler doesn't find
>>> any of the SWT controls and when I take a look at the plugins folder, I
>>> don't see a mac os x swt fragment. Is this a known issue or am I missing
>>> something?
>>>
>>> Regards,
>>> Matthias
>>
>
Re: Problems with 4.1 RC on mac os x [message #676248 is a reply to message #676223] Fri, 03 June 2011 11:09 Go to previous messageGo to next message
Eclipse User
Originally posted by:

I followed the instructions in Lars tutorial and additionally installed
the Eclipse SDK, everything from the update sites provide by default.

Matthias

Am 03.06.11 11:10, schrieb Tom Schindl:
> It looks like the batik version is you problem do you have 2 of the
> installed?
>
> I've seen this before but don't know where the 2nd batik version is
> coming from. What did you installed after having downloaded RC3?
>
> Tom
>
> Am 03.06.11 10:21, schrieb Matthias Köster:
>> Hi Tom,
>>
>> I also have Mac OS X 1.6.7 running on a i7 processor. Today I downloaded
>> the RC3 eclipse-SDK-S-4.1RC3-macosx-cocoa-x86_64.tar.gz agaian and
>> followed the instructions from Lars Vogels e4 tutorial
>> http://www.vogella.de/articles/EclipseE4/article.html. When I start my
>> application I get the following output on my console:
>>
>> !SESSION 2011-06-03 10:09:37.908
>> -----------------------------------------------
>> eclipse.buildId=unknown
>> java.version=1.6.0_24
>> java.vendor=Apple Inc.
>> BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=de_DE
>> Framework arguments: -product n4.test.app.product
>> Command-line arguments: -product n4.test.app.product -data
>> /Users/matthias/Documents/workspace-e4-new/../runtime-n4.test.app.product -dev
>> file:/Users/matthias/Documents/workspace-e4-new/.metadata/.plugins/org.eclipse.pde.core/n4.test.app.product/dev.properties
>> -os macosx -ws cocoa -arch x86_64 -consoleLog
>>
>> !ENTRY org.eclipse.equinox.app 0 0 2011-06-03 10:09:39.152
>> !MESSAGE Product n4.test.app.product could not be found.
>>
>> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.186
>> !MESSAGE One or more bundles are not resolved because the following root
>> constraints are not resolved:
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.186
>> !MESSAGE Bundle
>> initial@reference:file:plugins/org.apache.batik.css_1.6.0.v201011041432.jar/
>> was not resolved.
>> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.186
>> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>>
>> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.195
>> !MESSAGE The following is a complete list of bundles which are not
>> resolved, see the prior log entry for the root cause if it exists:
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.195
>> !MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20110517-2030 [7] was
>> not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2011-06-03 10:09:39.196
>> !MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.196
>> !MESSAGE Bundle
>> org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.v20110527-2100 [14] was
>> not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>> 10:09:39.196
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>> 10:09:39.197
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>> 10:09:39.197
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.197
>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.v20110407-2030
>> [22] was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.197
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.198
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.198
>> !MESSAGE Bundle n4.test.app_1.0.0.qualifier [30] was not resolved.
>> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.198
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
>> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.198
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.199
>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.1.v20110517-2030 [35] was
>> not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2011-06-03 10:09:39.199
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.199
>> !MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [42] was not
>> resolved.
>> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.200
>> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.200
>> !MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.1.v20110520-1530
>> [45] was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.200
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
>> !MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.
>>
>> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.223
>> !MESSAGE One or more bundles are not resolved because the following root
>> constraints are not resolved:
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.223
>> !MESSAGE Bundle
>> initial@reference:file:plugins/org.apache.batik.css_1.6.0.v201011041432.jar/
>> was not resolved.
>> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.224
>> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>>
>> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.235
>> !MESSAGE The following is a complete list of bundles which are not
>> resolved, see the prior log entry for the root cause if it exists:
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.235
>> !MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20110517-2030 [7] was
>> not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2011-06-03 10:09:39.236
>> !MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.236
>> !MESSAGE Bundle
>> org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.v20110527-2100 [14] was
>> not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>> 10:09:39.236
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>> 10:09:39.236
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>> 10:09:39.237
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.237
>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.v20110407-2030
>> [22] was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.237
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.237
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.238
>> !MESSAGE Bundle n4.test.app_1.0.0.qualifier [30] was not resolved.
>> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.238
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
>> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.238
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.239
>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.1.v20110517-2030 [35] was
>> not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2011-06-03 10:09:39.239
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.239
>> !MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [42] was not
>> resolved.
>> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.239
>> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.240
>> !MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.1.v20110520-1530
>> [45] was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.241
>> !MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.
>>
>> !ENTRY org.eclipse.osgi 4 0 2011-06-03 10:09:39.241
>> !MESSAGE Application error
>> !STACK 1
>> java.lang.RuntimeException: No application id has been found.
>> at
>> org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
>>
>> at
>> org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
>>
>> at
>> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
>>
>> at
>> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
>>
>> at
>> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
>>
>> at
>> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
>>
>> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>> at
>> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
>>
>> at
>> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
>>
>> at java.lang.reflect.Method.invoke(Method.java:597)
>> at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
>> at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
>> at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
>> at org.eclipse.equinox.launcher.Main.main(Main.java:1386)
>> An error has occurred. See the log file
>> /Users/matthias/Documents/workspace-e4-new/.metadata/.plugins/org.eclipse.pde.core/n4.test.app.product/1307088578294.log.
>>
>>
>> And if I take a look at my plugins folder, it indeed is missing the
>> org.apache.batik.css.engine_1.6.0 plugin. Do you know from where this
>> plugin should come from?
>>
>> Matthias
>>
>> Am 02.06.11 13:14, schrieb Tom Schindl:
>>> Hi,
>>>
>>> I just tried that with RC3 on my OS-X 10.6.7 and everything is fine.
>>>
>>> Tom
>>>
>>> Am 01.06.11 17:12, schrieb Matthias Köster:
>>>> Hi,
>>>>
>>>> I tried to create a demmo e4 application via the e4 application wizard
>>>> with the 4.1 RC3 and RC2 on mac os x, but when the compiler doesn't find
>>>> any of the SWT controls and when I take a look at the plugins folder, I
>>>> don't see a mac os x swt fragment. Is this a known issue or am I missing
>>>> something?
>>>>
>>>> Regards,
>>>> Matthias
>>>
>>
>
Re: Problems with 4.1 RC on mac os x [message #676249 is a reply to message #676223] Fri, 03 June 2011 11:09 Go to previous messageGo to next message
Eclipse User
Originally posted by:

I followed the instructions in Lars tutorial and additionally installed
the Eclipse SDK, everything from the update sites provide by default.

Matthias

Am 03.06.11 11:10, schrieb Tom Schindl:
> It looks like the batik version is you problem do you have 2 of the
> installed?
>
> I've seen this before but don't know where the 2nd batik version is
> coming from. What did you installed after having downloaded RC3?
>
> Tom
>
> Am 03.06.11 10:21, schrieb Matthias Köster:
>> Hi Tom,
>>
>> I also have Mac OS X 1.6.7 running on a i7 processor. Today I downloaded
>> the RC3 eclipse-SDK-S-4.1RC3-macosx-cocoa-x86_64.tar.gz agaian and
>> followed the instructions from Lars Vogels e4 tutorial
>> http://www.vogella.de/articles/EclipseE4/article.html. When I start my
>> application I get the following output on my console:
>>
>> !SESSION 2011-06-03 10:09:37.908
>> -----------------------------------------------
>> eclipse.buildId=unknown
>> java.version=1.6.0_24
>> java.vendor=Apple Inc.
>> BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=de_DE
>> Framework arguments: -product n4.test.app.product
>> Command-line arguments: -product n4.test.app.product -data
>> /Users/matthias/Documents/workspace-e4-new/../runtime-n4.test.app.product -dev
>> file:/Users/matthias/Documents/workspace-e4-new/.metadata/.plugins/org.eclipse.pde.core/n4.test.app.product/dev.properties
>> -os macosx -ws cocoa -arch x86_64 -consoleLog
>>
>> !ENTRY org.eclipse.equinox.app 0 0 2011-06-03 10:09:39.152
>> !MESSAGE Product n4.test.app.product could not be found.
>>
>> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.186
>> !MESSAGE One or more bundles are not resolved because the following root
>> constraints are not resolved:
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.186
>> !MESSAGE Bundle
>> initial@reference:file:plugins/org.apache.batik.css_1.6.0.v201011041432.jar/
>> was not resolved.
>> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.186
>> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>>
>> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.195
>> !MESSAGE The following is a complete list of bundles which are not
>> resolved, see the prior log entry for the root cause if it exists:
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.195
>> !MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20110517-2030 [7] was
>> not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2011-06-03 10:09:39.196
>> !MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.196
>> !MESSAGE Bundle
>> org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.v20110527-2100 [14] was
>> not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>> 10:09:39.196
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>> 10:09:39.197
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>> 10:09:39.197
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.197
>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.v20110407-2030
>> [22] was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.197
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.198
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.198
>> !MESSAGE Bundle n4.test.app_1.0.0.qualifier [30] was not resolved.
>> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.198
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
>> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.198
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.199
>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.1.v20110517-2030 [35] was
>> not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2011-06-03 10:09:39.199
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.199
>> !MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [42] was not
>> resolved.
>> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.200
>> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.200
>> !MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.1.v20110520-1530
>> [45] was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.200
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
>> !MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.
>>
>> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.223
>> !MESSAGE One or more bundles are not resolved because the following root
>> constraints are not resolved:
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.223
>> !MESSAGE Bundle
>> initial@reference:file:plugins/org.apache.batik.css_1.6.0.v201011041432.jar/
>> was not resolved.
>> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.224
>> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>>
>> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.235
>> !MESSAGE The following is a complete list of bundles which are not
>> resolved, see the prior log entry for the root cause if it exists:
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.235
>> !MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20110517-2030 [7] was
>> not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2011-06-03 10:09:39.236
>> !MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.236
>> !MESSAGE Bundle
>> org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.v20110527-2100 [14] was
>> not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>> 10:09:39.236
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>> 10:09:39.236
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>> 10:09:39.237
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.237
>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.v20110407-2030
>> [22] was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.237
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.237
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.238
>> !MESSAGE Bundle n4.test.app_1.0.0.qualifier [30] was not resolved.
>> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.238
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
>> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.238
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.239
>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.1.v20110517-2030 [35] was
>> not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2011-06-03 10:09:39.239
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.239
>> !MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [42] was not
>> resolved.
>> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.239
>> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.240
>> !MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.1.v20110520-1530
>> [45] was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.241
>> !MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.
>>
>> !ENTRY org.eclipse.osgi 4 0 2011-06-03 10:09:39.241
>> !MESSAGE Application error
>> !STACK 1
>> java.lang.RuntimeException: No application id has been found.
>> at
>> org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
>>
>> at
>> org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
>>
>> at
>> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
>>
>> at
>> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
>>
>> at
>> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
>>
>> at
>> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
>>
>> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>> at
>> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
>>
>> at
>> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
>>
>> at java.lang.reflect.Method.invoke(Method.java:597)
>> at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
>> at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
>> at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
>> at org.eclipse.equinox.launcher.Main.main(Main.java:1386)
>> An error has occurred. See the log file
>> /Users/matthias/Documents/workspace-e4-new/.metadata/.plugins/org.eclipse.pde.core/n4.test.app.product/1307088578294.log.
>>
>>
>> And if I take a look at my plugins folder, it indeed is missing the
>> org.apache.batik.css.engine_1.6.0 plugin. Do you know from where this
>> plugin should come from?
>>
>> Matthias
>>
>> Am 02.06.11 13:14, schrieb Tom Schindl:
>>> Hi,
>>>
>>> I just tried that with RC3 on my OS-X 10.6.7 and everything is fine.
>>>
>>> Tom
>>>
>>> Am 01.06.11 17:12, schrieb Matthias Köster:
>>>> Hi,
>>>>
>>>> I tried to create a demmo e4 application via the e4 application wizard
>>>> with the 4.1 RC3 and RC2 on mac os x, but when the compiler doesn't find
>>>> any of the SWT controls and when I take a look at the plugins folder, I
>>>> don't see a mac os x swt fragment. Is this a known issue or am I missing
>>>> something?
>>>>
>>>> Regards,
>>>> Matthias
>>>
>>
>
Re: Problems with 4.1 RC on mac os x [message #676304 is a reply to message #676248] Fri, 03 June 2011 14:49 Go to previous message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5434
Registered: July 2009
Senior Member
Hi,

Ok I tracked this down to the fact that when installing the e4 tools
bridge you also get batik 1.7.0 installed and by default the bundle with
the highest version is selected when the .product files creates the
launch config.

I don't know why yet but org.eclipse.e4.ui.css.core puts a version
constraint on batik to exclude 1.7.0 and hence you fail to start.

So there are in fact 2 problems:
a) why does the bridge feature bring batik 1.7.0 with it
b) why does core.css exclude 1.7.0

Tom

Am 03.06.11 13:09, schrieb Matthias Köster:
> I followed the instructions in Lars tutorial and additionally installed
> the Eclipse SDK, everything from the update sites provide by default.
>
> Matthias
>
> Am 03.06.11 11:10, schrieb Tom Schindl:
>> It looks like the batik version is you problem do you have 2 of the
>> installed?
>>
>> I've seen this before but don't know where the 2nd batik version is
>> coming from. What did you installed after having downloaded RC3?
>>
>> Tom
>>
>> Am 03.06.11 10:21, schrieb Matthias Köster:
>>> Hi Tom,
>>>
>>> I also have Mac OS X 1.6.7 running on a i7 processor. Today I downloaded
>>> the RC3 eclipse-SDK-S-4.1RC3-macosx-cocoa-x86_64.tar.gz agaian and
>>> followed the instructions from Lars Vogels e4 tutorial
>>> http://www.vogella.de/articles/EclipseE4/article.html. When I start my
>>> application I get the following output on my console:
>>>
>>> !SESSION 2011-06-03 10:09:37.908
>>> -----------------------------------------------
>>> eclipse.buildId=unknown
>>> java.version=1.6.0_24
>>> java.vendor=Apple Inc.
>>> BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=de_DE
>>> Framework arguments: -product n4.test.app.product
>>> Command-line arguments: -product n4.test.app.product -data
>>> /Users/matthias/Documents/workspace-e4-new/../runtime-n4.test.app.product
>>> -dev
>>> file:/Users/matthias/Documents/workspace-e4-new/.metadata/.plugins/org.eclipse.pde.core/n4.test.app.product/dev.properties
>>>
>>> -os macosx -ws cocoa -arch x86_64 -consoleLog
>>>
>>> !ENTRY org.eclipse.equinox.app 0 0 2011-06-03 10:09:39.152
>>> !MESSAGE Product n4.test.app.product could not be found.
>>>
>>> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.186
>>> !MESSAGE One or more bundles are not resolved because the following root
>>> constraints are not resolved:
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.186
>>> !MESSAGE Bundle
>>> initial@reference:file:plugins/org.apache.batik.css_1.6.0.v201011041432.jar/
>>>
>>> was not resolved.
>>> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.186
>>> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>>>
>>> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.195
>>> !MESSAGE The following is a complete list of bundles which are not
>>> resolved, see the prior log entry for the root cause if it exists:
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.195
>>> !MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20110517-2030 [7] was
>>> not resolved.
>>> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2011-06-03 10:09:39.196
>>> !MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.196
>>> !MESSAGE Bundle
>>> org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.v20110527-2100 [14] was
>>> not resolved.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>>> 10:09:39.196
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>>> 10:09:39.197
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>>> 10:09:39.197
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.197
>>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.v20110407-2030
>>> [22] was not resolved.
>>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.197
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
>>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.198
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.198
>>> !MESSAGE Bundle n4.test.app_1.0.0.qualifier [30] was not resolved.
>>> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.198
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
>>> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.198
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.199
>>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.1.v20110517-2030 [35] was
>>> not resolved.
>>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2011-06-03 10:09:39.199
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.199
>>> !MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [42] was not
>>> resolved.
>>> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.200
>>> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.200
>>> !MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.1.v20110520-1530
>>> [45] was not resolved.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.200
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.201
>>> !MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.
>>>
>>> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.223
>>> !MESSAGE One or more bundles are not resolved because the following root
>>> constraints are not resolved:
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.223
>>> !MESSAGE Bundle
>>> initial@reference:file:plugins/org.apache.batik.css_1.6.0.v201011041432.jar/
>>>
>>> was not resolved.
>>> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.224
>>> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>>>
>>> !ENTRY org.eclipse.osgi 2 0 2011-06-03 10:09:39.235
>>> !MESSAGE The following is a complete list of bundles which are not
>>> resolved, see the prior log entry for the root cause if it exists:
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.235
>>> !MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20110517-2030 [7] was
>>> not resolved.
>>> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2011-06-03 10:09:39.236
>>> !MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.236
>>> !MESSAGE Bundle
>>> org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.v20110527-2100 [14] was
>>> not resolved.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>>> 10:09:39.236
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>>> 10:09:39.236
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2011-06-03
>>> 10:09:39.237
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.237
>>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.v20110407-2030
>>> [22] was not resolved.
>>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.237
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
>>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2011-06-03 10:09:39.237
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.238
>>> !MESSAGE Bundle n4.test.app_1.0.0.qualifier [30] was not resolved.
>>> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.238
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
>>> !SUBENTRY 2 n4.test.app 2 0 2011-06-03 10:09:39.238
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.239
>>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.1.v20110517-2030 [35] was
>>> not resolved.
>>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2011-06-03 10:09:39.239
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.239
>>> !MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [42] was not
>>> resolved.
>>> !SUBENTRY 2 org.apache.batik.css 2 0 2011-06-03 10:09:39.239
>>> !MESSAGE Missing required bundle org.apache.batik.util_[1.6.0,1.7.0).
>>> !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-03 10:09:39.240
>>> !MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.1.v20110520-1530
>>> [45] was not resolved.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.240
>>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2011-06-03 10:09:39.241
>>> !MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.
>>>
>>> !ENTRY org.eclipse.osgi 4 0 2011-06-03 10:09:39.241
>>> !MESSAGE Application error
>>> !STACK 1
>>> java.lang.RuntimeException: No application id has been found.
>>> at
>>> org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
>>>
>>>
>>> at
>>> org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
>>>
>>>
>>> at
>>> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
>>>
>>>
>>> at
>>> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
>>>
>>>
>>> at
>>> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
>>>
>>>
>>> at
>>> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
>>>
>>>
>>> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>>> at
>>> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
>>>
>>>
>>> at
>>> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
>>>
>>>
>>> at java.lang.reflect.Method.invoke(Method.java:597)
>>> at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
>>> at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
>>> at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
>>> at org.eclipse.equinox.launcher.Main.main(Main.java:1386)
>>> An error has occurred. See the log file
>>> /Users/matthias/Documents/workspace-e4-new/.metadata/.plugins/org.eclipse.pde.core/n4.test.app.product/1307088578294.log.
>>>
>>>
>>>
>>> And if I take a look at my plugins folder, it indeed is missing the
>>> org.apache.batik.css.engine_1.6.0 plugin. Do you know from where this
>>> plugin should come from?
>>>
>>> Matthias
>>>
>>> Am 02.06.11 13:14, schrieb Tom Schindl:
>>>> Hi,
>>>>
>>>> I just tried that with RC3 on my OS-X 10.6.7 and everything is fine.
>>>>
>>>> Tom
>>>>
>>>> Am 01.06.11 17:12, schrieb Matthias Köster:
>>>>> Hi,
>>>>>
>>>>> I tried to create a demmo e4 application via the e4 application wizard
>>>>> with the 4.1 RC3 and RC2 on mac os x, but when the compiler doesn't
>>>>> find
>>>>> any of the SWT controls and when I take a look at the plugins
>>>>> folder, I
>>>>> don't see a mac os x swt fragment. Is this a known issue or am I
>>>>> missing
>>>>> something?
>>>>>
>>>>> Regards,
>>>>> Matthias
>>>>
>>>
>>
>
Previous Topic:Rendering MUIElement at Runtime
Next Topic:E4 or classic RCP for a beginner?
Goto Forum:
  


Current Time: Sat Nov 01 10:36:46 GMT 2014

Powered by FUDForum. Page generated in 0.10714 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software